-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  base = 'INSTRUMENT_BASE',
  define_as = 'HORN',
  name = 'HORN',
  display_name = '& Horn~',
  flags = { CON=1, ACTIVATE=1, WIELD_CAST=1 },
  sval = 60,
  desc = 'A simple wind instrument made from brass. If used by inexperienced musicians it sounds like somebody making "prbbt!" noises down a drainpipe.',
  allocation = '7/2:20/1:40/1:80/1',
  level_range = { 7, 7 },
  rarity = 2,
}

newEntity {
  base = 'INSTRUMENT_BASE',
  define_as = 'DRUM',
  name = 'DRUM',
  display_name = '& Drum~',
  flags = { STR=1, WIELD_CAST=1 },
  sval = 58,
  desc = 'A sort of clay pot with a bit of skin stretched over its mouth.',
  allocation = '7/2:20/1:40/1:80/1',
  level_range = { 7, 7 },
  rarity = 2,
}

newEntity {
  base = 'INSTRUMENT_BASE',
  define_as = 'HARP',
  name = 'HARP',
  display_name = '& Harp~',
  flags = { CHR=1, WIELD_CAST=1 },
  sval = 59,
  desc = 'A number of strings held by a wooden frame.',
  allocation = '7/2:20/1:40/1:80/1',
  level_range = { 7, 7 },
  rarity = 2,
}
-- 3 total items
