-- $Id: spirituality.lua 2 2012-07-08 02:40:16Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

newSkill {
  name = 'Spirituality',
  short_name = 'SPIRITUALITY',
  desc = [[General ability to use spiritual skills and also influence your Saving Throw]],
  rate = 1000,
  depth = 0,
}

newSkill {
  name = 'Prayer',
  short_name = 'PRAYER',
  desc = [[Ability to learn and use spells from the gods' schools Spells use the wisdom stat and cost piety instead of mana]],
  rate = 1000,
  depth = 1,
  parent = 'SPIRITUALITY',
  mkey = 17,
  action = [[Cast a spell]],
  ripple_to = {
    SPIRITUALITY = 10,
    MAGIC = 10,
  },
}

newSkill {
  name = 'Mindcraft',
  short_name = 'MINDCRAFT',
  desc = [[Ability to focus the powers of the mind Mindpowers use the wisdom stat]],
  rate = 1000,
  depth = 1,
  parent = 'SPIRITUALITY',
  mkey = 2,
  action = [[Use Mindcraft]],
  ripple_to = {
    SPIRITUALITY = 10,
    MAGIC = 10,
  },
  random_gain = 50,
}

newSkill {
  name = 'Music',
  short_name = 'MUSIC',
  desc = [[Ability to learn and sing songs Songs use the charisma stat]],
  rate = 1000,
  depth = 1,
  parent = 'SPIRITUALITY',
  mkey = 17,
  action = [[Cast a spell]],
  ripple_to = {
    SPIRITUALITY = 10,
    MAGIC = 10,
  },
}
