-- $Id: traps.lua 82 2012-09-20 04:30:24Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

load('/data/general/traps/store.lua')

newEntity {
  base = 'BASE_STORE',
  define_as = 'BREE_HOME',
  name = "Your home (née Thieves' lair)",
  display = '8',
  color = colors.C_y,
  resolvers.store('BREE_HOME', 'home'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'MAYOR_HOUSE',
  name = "Mayor's Office",
  display = '+',
  color = colors.C_o,
  resolvers.building_chat('bree-mayor'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'THE_PRANCING_PONY',
  name = "The Prancing Pony",
  display = '+',
  color = colors.C_w,
  resolvers.store('THE_PRANCING_PONY'),
  resolvers.building_chat('prancing-pony'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'THE_SOOTHSAYER',
  name = "The Soothsayer",
  display = '+',
  color = colors.C_B,
  resolvers.building_chat('soothsayer'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'MATHOM_HOUSE',
  name = "The Mathom-house",
  display = '+',
  color = colors.C_g,
  resolvers.store('MATHOM_HOUSE', 'museum'),
}
