-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  base = 'BOOTS_BASE',
  define_as = 'PAIR_OF_SOFT_LEATHER_BOOTS',
  name = 'PAIR_OF_SOFT_LEATHER_BOOTS',
  display_name = '& Pair~ of Soft Leather Boots',
  color = colors.C_U,
  weight = 2,
  encumber = 2,
  cost = 7,
  armor = 2,
  sval = 2,
  level = 3,
  desc = 'A pair of low boots, comfortable to wear.',
  allocation = '3/1',
  level_range = { 3, 3 },
  rarity = 1,
}

newEntity {
  base = 'BOOTS_BASE',
  define_as = 'PAIR_OF_HARD_LEATHER_BOOTS',
  name = 'PAIR_OF_HARD_LEATHER_BOOTS',
  display_name = '& Pair~ of Hard Leather Boots',
  color = colors.C_U,
  weight = 4,
  encumber = 4,
  cost = 12,
  armor = 3,
  sval = 3,
  level = 5,
  desc = 'A pair of boots, with hardened leather at the caps, offering a little extra protection for the feet.',
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'BOOTS_BASE',
  define_as = 'PAIR_OF_METAL_SHOD_BOOTS',
  name = 'PAIR_OF_METAL_SHOD_BOOTS',
  display_name = '& Pair~ of Metal Shod Boots',
  color = colors.C_s,
  weight = 8,
  encumber = 8,
  cost = 50,
  armor = 6,
  sval = 6,
  level = 20,
  desc = [[Heavy boots, with metal strips at the toes, heels and other vulnerable parts, to better protect the wearer's feet from harm.]],
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
}
-- 3 total items
-- color:  colors.C_U=2; colors.C_s=1
-- weight:  20=1; 40=1; 80=1
-- cost:  12=1; 50=1; 7=1
-- armor:  2=1; 3=1; 6=1
-- level:  20=1; 3=1; 5=1
