-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  base = 'CORPSE_BASE',
  define_as = 'CORPSE',
  name = 'CORPSE',
  display_name = 'corpse',
  weight = 8,
  encumber = 8,
  flags = { DECAY=1 },
  adj_pval = 0,
  sval = 1,
  desc = [[Whatever happened with this one, it wasn't pretty.]],
  extra = 0,
  pval = 3000,
  allocation = '30/1',
  level_range = { 30, 30 },
  rarity = 1,
}

newEntity {
  base = 'CORPSE_BASE',
  define_as = 'SKELETON',
  name = 'SKELETON',
  display_name = 'skeleton',
  weight = 0.2,
  encumber = 0.2,
  adj_pval = 0,
  sval = 2,
  desc = 'The sorry, bony remains of some hapless creature.',
  extra = 0,
  pval = 800,
  allocation = '30/1',
  level_range = { 30, 30 },
  rarity = 1,
}

newEntity {
  base = 'CORPSE_BASE',
  define_as = 'HEAD',
  name = 'HEAD',
  display_name = 'head',
  weight = 1,
  encumber = 1,
  flags = { DECAY=1 },
  adj_pval = 0,
  sval = 3,
  desc = [[2 eyes, 2 ears, a mouth, some hair -- yep, that's a head.]],
  extra = 0,
  pval = 600,
  allocation = '30/1',
  level_range = { 30, 30 },
  rarity = 1,
}

newEntity {
  base = 'CORPSE_BASE',
  define_as = 'SKULL',
  name = 'SKULL',
  display_name = 'skull',
  weight = 2,
  encumber = 2,
  adj_pval = 0,
  sval = 4,
  desc = [[It's a white bony skull, smiling to you without teeth.]],
  extra = 0,
  pval = 1000,
  allocation = '30/1',
  level_range = { 30, 30 },
  rarity = 1,
}

newEntity {
  base = 'CORPSE_BASE',
  define_as = 'RAW_MEAT',
  name = 'RAW_MEAT',
  display_name = 'raw meat',
  weight = 1,
  encumber = 1,
  cost = 2,
  flags = { DECAY=1 },
  adj_pval = 0,
  sval = 5,
  desc = 'Yuck, just looking at it makes your stomach upset.',
  extra = 0,
  pval = 1200,
  allocation = '30/1',
  level_range = { 30, 30 },
  rarity = 1,
}
-- 5 total items
-- weight:  10=2; 2=1; 20=1; 80=1
-- cost:  2=1
-- extra:  0=5
-- adj_pval:  0=5
-- pval:  1000=1; 1200=1; 3000=1; 600=1; 800=1
