-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  base = 'GLOVES_BASE',
  define_as = 'SET_OF_LEATHER_GLOVES',
  name = 'SET_OF_LEATHER_GLOVES',
  display_name = '& Set~ of Leather Gloves',
  color = colors.C_U,
  weight = 0.5,
  encumber = 0.5,
  cost = 3,
  armor = 1,
  sval = 1,
  level = 1,
  desc = 'Light gloves which do not seriously hinder finger movements, while still protecting the hands somewhat.',
  allocation = '1/1',
  level_range = { 1, 1 },
  rarity = 1,
}

newEntity {
  base = 'GLOVES_BASE',
  define_as = 'SET_OF_GAUNTLETS',
  name = 'SET_OF_GAUNTLETS',
  display_name = '& Set~ of Gauntlets',
  color = colors.C_U,
  weight = 2.5,
  encumber = 2.5,
  cost = 35,
  armor = 2,
  sval = 2,
  level = 10,
  desc = 'Metal gloves protecting the hands up to the middle of the lower arm.',
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'GLOVES_BASE',
  define_as = 'SET_OF_CESTI',
  name = 'SET_OF_CESTI',
  display_name = '& Set~ of Cesti',
  color = colors.C_W,
  weight = 4,
  encumber = 4,
  cost = 100,
  armor = 5,
  sval = 5,
  level = 50,
  desc = 'A set of metal gloves with nasty spikes and barbs. Though originally made to help in combat, the additional metal on the backs of the hands also offers a lot more protection.',
  allocation = '50/1',
  level_range = { 50, 50 },
  rarity = 1,
}
-- 3 total items
-- color:  colors.C_U=2; colors.C_W=1
-- weight:  25=1; 40=1; 5=1
-- cost:  100=1; 3=1; 35=1
-- armor:  1=1; 2=1; 5=1
-- level:  1=1; 10=1; 50=1
