-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  base = 'MONEY_BASE',
  define_as = 'COPPER',
  name = 'COPPER',
  display_name = 'copper',
  color = colors.C_u,
  cost = 3,
  sval = 1,
}

newEntity {
  base = 'MONEY_BASE',
  define_as = 'COPPER',
  name = 'COPPER',
  display_name = 'copper',
  color = colors.C_u,
  cost = 4,
  sval = 2,
}

newEntity {
  base = 'MONEY_BASE',
  define_as = 'COPPER',
  name = 'COPPER',
  display_name = 'copper',
  color = colors.C_u,
  cost = 5,
  sval = 3,
}

newEntity {
  base = 'MONEY_BASE',
  define_as = 'SILVER',
  name = 'SILVER',
  display_name = 'silver',
  color = colors.C_s,
  cost = 6,
  sval = 4,
}

newEntity {
  base = 'MONEY_BASE',
  define_as = 'SILVER',
  name = 'SILVER',
  display_name = 'silver',
  color = colors.C_s,
  cost = 7,
  sval = 5,
}

newEntity {
  base = 'MONEY_BASE',
  define_as = 'SILVER',
  name = 'SILVER',
  display_name = 'silver',
  color = colors.C_s,
  cost = 8,
  sval = 6,
}

newEntity {
  base = 'MONEY_BASE',
  define_as = 'GARNETS',
  name = 'GARNETS',
  display_name = 'garnets',
  color = colors.C_r,
  cost = 9,
  sval = 7,
}

newEntity {
  base = 'MONEY_BASE',
  define_as = 'GARNETS',
  name = 'GARNETS',
  display_name = 'garnets',
  color = colors.C_r,
  cost = 10,
  sval = 8,
}

newEntity {
  base = 'MONEY_BASE',
  define_as = 'GOLD',
  name = 'GOLD',
  display_name = 'gold',
  color = colors.C_y,
  cost = 12,
  sval = 9,
}

newEntity {
  base = 'MONEY_BASE',
  define_as = 'GOLD',
  name = 'GOLD',
  display_name = 'gold',
  color = colors.C_y,
  cost = 14,
  sval = 10,
}

newEntity {
  base = 'MONEY_BASE',
  define_as = 'GOLD',
  name = 'GOLD',
  display_name = 'gold',
  color = colors.C_y,
  cost = 16,
  sval = 11,
}

newEntity {
  base = 'MONEY_BASE',
  define_as = 'OPALS',
  name = 'OPALS',
  display_name = 'opals',
  color = colors.C_W,
  cost = 18,
  sval = 12,
}

newEntity {
  base = 'MONEY_BASE',
  define_as = 'SAPPHIRES',
  name = 'SAPPHIRES',
  display_name = 'sapphires',
  color = colors.C_b,
  cost = 20,
  sval = 13,
}

newEntity {
  base = 'MONEY_BASE',
  define_as = 'RUBIES',
  name = 'RUBIES',
  display_name = 'rubies',
  color = colors.C_r,
  cost = 24,
  sval = 14,
}

newEntity {
  base = 'MONEY_BASE',
  define_as = 'DIAMONDS',
  name = 'DIAMONDS',
  display_name = 'diamonds',
  color = colors.C_w,
  cost = 28,
  sval = 15,
}

newEntity {
  base = 'MONEY_BASE',
  define_as = 'EMERALDS',
  name = 'EMERALDS',
  display_name = 'emeralds',
  color = colors.C_g,
  cost = 32,
  sval = 16,
}

newEntity {
  base = 'MONEY_BASE',
  define_as = 'MITHRIL',
  name = 'MITHRIL',
  display_name = 'mithril',
  color = colors.C_B,
  cost = 40,
  sval = 17,
}

newEntity {
  base = 'MONEY_BASE',
  define_as = 'ADAMANTITE',
  name = 'ADAMANTITE',
  display_name = 'adamantite',
  color = colors.C_G,
  cost = 80,
  sval = 18,
}
-- 18 total items
-- color:  colors.C_B=1; colors.C_G=1; colors.C_W=1; colors.C_b=1; colors.C_g=1; colors.C_r=3; colors.C_s=3; colors.C_u=3; colors.C_w=1; colors.C_y=3
-- cost:  10=1; 12=1; 14=1; 16=1; 18=1; 20=1; 24=1; 28=1; 3=1; 32=1; 4=1; 40=1; 5=1; 6=1; 7=1; 8=1; 80=1; 9=1
