-- $Id: bree-thieves.lua 48 2012-08-28 01:19:20Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

defineTile('x', 'PERMA_WALL', nil, nil, nil, { lite=true })
defineTile('X', 'PERMA_WALL')
defineTile('.', 'FLOOR', nil, nil, nil, { lite=true })
defineTile(',', 'FLOOR')
defineTile('d', 'OPEN_DOOR', nil, nil, nil, { lite=true })
defineTile('D', 'LOCKED_DOOR_POWER_6', nil, nil, nil, { lite=true })
-- The game describes this as "magically locked"; no idea what that means
defineTile('M', 'LOCKED_DOOR_POWER_6', nil, nil, nil, { lite=true })
defineTile('A', 'ALARM_DOOR')
defineTile('a', 'FLOOR', nil, 'NOVICE_ROGUE_QUEST', nil, { lite=true })
-- TODO Make this enchanted at least
defineTile('b', 'FLOOR', 'DAGGER', 'BANDIT_QUEST', nil, { lite=true })
defineTile('c', 'FLOOR', nil, 'NOVICE_WARRIOR_QUEST', nil, { lite=true })
defineTile('e', 'FLOOR', nil, 'NOVICE_MAGE_QUEST', nil, { lite=true })
defineTile('f', 'FLOOR', nil, 'NOVICE_WARRIOR_QUEST')
defineTile('z', 'FLOOR', 'HUMAN_SKELETON', nil, nil, { lite=true })

-- Remember the exit spot for future reference.
defineTile('<', 'FLOOR', nil, nil, nil, nil, { type='quest', subtype='exit' })
defineTile('+', 'FLOOR', nil, nil, nil, { lite=true }, { type='quest', subtype='player-inven' })
defineTile('R', 'LOCKED_DOOR_POWER_6', nil, nil, nil, { lite=true }, { type='quest', subtype='rigged-door' })

startx = 3
starty = 3
return [[
xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
x.....x....zx.....x.............x
x.....x.....x.....x.............x
x.....x.....x.....x....+........x
xxxMxxxxxdxxxxxdxxxxxxxxxDxxxxxxx
XXx..........................xXXX
XXx.xxxxx.xxxxx.xxxxxxxxx.xx,xXXX
XXxxxXXXxxxXXXxxxXXXXXXXxxx,,,XXX
XXXXxxxxxxxxxxxxxxxxxXXXXX,,,,,XX
XXXXxe..xb..x...x...xXXXX,,,,,,,X
XXXXx...x...xa..x...xXXXX,,,,,,,X
XXXXx...x...x...x.a.xXXXX,,,,,,,X
xxxxxxRxxxRxxxRxxxRxxXXXXX,,,,,XX
x,,,x...............xXXXXXX,,,XXX
x,,,x..x.........x..xXXXXXXX,XXXX
x,,,D.....x...x.....A,,,,,,,,XXXX
x,,,x..x.........x..xXXXXXXXXXXXX
x,,,x...............xXXXXXXXXXXXX
x,,,xxRxxxRxxxRxxxRxxXXXXXXXXXXXX
x,,,x...x...x.a.xa..xXXXXXXXXXXXX
x,,,xc..x.a.x...x...xXXXXXXXXXXXX
xf<fx...x...x...x...xXXXXXXXXXXXX
xxxxxxxxxxxxxxxxxxxxxXXXXXXXXXXXX]]
